Mandrake Linux Security Advisory : nasm (MDKSA-2005:090)

Medium Nessus Plugin ID 18306


The remote Mandrake Linux host is missing one or more security updates.


A buffer overflow in nasm was discovered by Josh Bressers. If an attacker could trick a user into assembling a malicious source file, they could use this vulnerability to execute arbitrary code with the privileges of the user running nasm.

The provided packages have been patched to correct these issues.


Update the affected nasm, nasm-doc and / or nasm-rdoff packages.

Plugin Details

Severity: Medium

ID: 18306

File Name: mandrake_MDKSA-2005-090.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/05/19

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:nasm, p-cpe:/a:mandriva:linux:nasm-doc, p-cpe:/a:mandriva:linux:nasm-rdoff, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/05/18

Reference Information

CVE: CVE-2005-1194

MDKSA: 2005:090